# THIS PACKAGE IS IN SVN
# PLEASE DO NOT UPLOAD WITHOUT COMMITTING YOUR CHANGES FIRST

%define	major 2
%define libname	%mklibname gssapi %{major}

Summary:	A mechanism-switch gssapi library
Name:		libgssapi
Version:	0.11
Release:	%mkrel 1
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:        http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi/libgssapi-%{version}.tar.gz
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRequires:	krb5-devel >= 1.3
BuildRequires:	autoconf2.5
BuildRequires:	pkgconfig
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package -n	%{libname}
Summary:	A mechanism-switch gssapi library
Group:		System/Libraries

%description -n	%{libname}
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package -n	%{libname}-devel
Summary:	Static library and header files for the libgssapi library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libgssapi-devel = %{version}
Provides:	gssapi-devel = %{version}

%description -n	%{libname}-devel
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

This package contains the static libgssapi library and its
header files.

%prep

%setup -q -n libgssapi-%{version}

# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" gssapi_mech.conf
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

%build

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}

%makeinstall_std

%if %mdkversion >= 1020
%multiarch_includes %{buildroot}%{_includedir}/gssglue/gssapi/gssapi.h
%endif

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%defattr(-,root,root)
%if %mdkversion >= 1020
%multiarch %{multiarch_includedir}/gssglue/gssapi/gssapi.h
%endif
%{_includedir}/gssglue/gssapi/gssapi.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/libgssapi.pc





%changelog
* Mon Apr 23 2007 Andreas Hasenack <andreas@mandriva.com> 0.11-1mdv2008.0
+ Revision: 17623
- updated to version 0.11

  + Mandriva <devel@mandriva.com>


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 17:13:42 (63383)
- rebuild

* Sat Jun 24 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-06-23 08:42:15 (37936)
- add svn warning

* Sat Jun 24 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-06-23 08:37:29 (37932)
- import libgssapi-0.10-1mdv2007.0

* Sat Jun 24 2006 Andreas Hasenack <andreas@mandriva.com> 0.10-1mdv2007.0
- updated to version 0.10
- removed versioned automake buildrequires, it works now with current
  automake (1.9 as of this moment)

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9-1mdv2007.0
- 0.9
- new major
- fix deps
- teh gssapi_mech.conf file is provided by the nfs package

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7-1mdk
- 0.7
- use sane package name

* Fri Dec 16 2005 Stefan van der Eijk <stefan@eijk.nu> 0.6-1mdk
- 0.6

* Thu Aug 04 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-3mdk
- reupload original src name (alternative with version 1)
- fix the require then

* Thu Aug 04 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-2mdk
- fix package name && requires

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdk
- 0.3
- drop P0 as it is not needed anymore
- major is zero now

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdk
- fix naming
- lib64 fixes

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-2mdk
- fix deps and conditional 
 
- fix #14825

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package

